Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler.settings
Class TextField

    java.lang.Object
      org.archive.crawler.settings.TextField

All Implemented Interfaces:
  java.io.Serializable, java.lang.CharSequence

    public class TextField

extends java.lang.Object
implements java.lang.CharSequence, java.io.Serializable

Class to hold values for text fields. Objects of this class could be used instead of `String` to hold text strings with newlines in it. SimpleTypes with values wrapped in objects of this class will show up in the UI as multiline text areas.

Author:
  John Erik Halse
See Also:
  Serialized Form

Constructor Summary
`TextField(java.lang.String value)` Constructs a new TextField object.

Method Summary
`char` | `charAt(int index)`
`boolean` | `equals(java.lang.Object obj)`
`int` | `hashCode()`
`int` | `length()`
`java.lang.CharSequence` | `subSequence(int start, int end)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TextField

    public TextField(java.lang.String value)

  Constructs a new TextField object.

  Parameters:
    `value` - the string represented by this TextField.

Method Detail

### length

    public int length()

  Specified by:
    `length` in interface `java.lang.CharSequence`

### charAt

    public char charAt(int index)

  Specified by:
    `charAt` in interface `java.lang.CharSequence`

### subSequence

    public java.lang.CharSequence subSequence(int start,
                                              int end)

  Specified by:
    `subSequence` in interface `java.lang.CharSequence`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in interface `java.lang.CharSequence`
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.